Update a group Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/group/{uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • name string Required

    Group name that must be unique.

  • business_unit string(uuid) | null

    UUID of business unit to link this group to

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • name string
    • slug string
    • participants_count string
    • participants object
      Hide participants attributes Show participants attributes object
      • uuid object
        Hide uuid attributes Show uuid attributes object
        • example string
        • description string
      • role object
        Hide role attributes Show role attributes object
        • example string
        • description string
      • first_name object
        Hide first_name attributes Show first_name attributes object
        • example string
        • description string
      • last_name object
        Hide last_name attributes Show last_name attributes object
        • example string
        • description string
      • name object
        Hide name attributes Show name attributes object
        • example string
        • description string
      • email object
        Hide email attributes Show email attributes object
        • example string
        • description string
    • created_at string
    • updated_at string
  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
PUT /api/v1/group/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/group/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"name":"Accounting","business_unit":"4635995e-0064-47d2-a73b-5d474182a845"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "name": "Accounting",
  "business_unit": "4635995e-0064-47d2-a73b-5d474182a845"
}
Response examples (200)
[
  {
    "uuid": "9e784160-17c7-4886-af2c-71686845dc45",
    "name": "finance",
    "slug": "finance",
    "participants_count": "3",
    "participants": {
      "uuid": {
        "example": "573779f7-ea17-451c-85af-c82b7d2c8454",
        "description": "UUID of the account"
      },
      "role": {
        "example": "client",
        "description": "Role of the account"
      },
      "first_name": {
        "example": "Gareth",
        "description": "First name of the account"
      },
      "last_name": {
        "example": "Thompson",
        "description": "Last name of the account"
      },
      "name": {
        "example": "Gareth Thompson",
        "description": "Name of the account"
      },
      "email": {
        "example": "gareth@codepotato.co.uk",
        "description": "Email of the account"
      }
    },
    "created_at": "2026-08-07T15:29:24+01:00",
    "updated_at": "2026-08-07T15:29:24+01:00"
  }
]
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}